
# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
# Copyright (C) 2019-2020 Jean-Baptiste Biernacki   <j.biernacki@free.fr>
#

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

#BananaPro informations : http://wiki.lemaker.org/BananaPro/Pi:Building_u-boot,_script.bin_and_linux-kernel#Installation
#BananaPro sources   : https://github.com/LeMaker/lemaker-bsp
#          Kernel    : https://github.com/LeMaker/linux-sunxi
#          FEX (DTS) : https://github.com/LeMaker/sunxi-boards

# Mageia version 7 or later, cauldron.
# TO MODIFY
MAGEIA_VERSION="7"
# Arm version armv7hl, aarch64
# TO MODIFY
ARM_VERSION="armv7hl"

# Target plateform (odroid or rpi)
# TO MODIFY
TARGET="bananaPro"
# Target version (0,2,3 for raspi, 3 or 4 for odroid)
#TO MODIFY
TARGET_VERSION="1"

# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/${MAGEIA_VERSION}/${ARM_VERSION}"

# image will be created here
# TO MODIFY
# INSTALL_PATH="./${TARGET}"
# Should not be in this configuration file, it isn't related to the configuration but to the build platform.

# Build directory will be created here
BUILD_PATH="${INSTALL_PATH}/build"

#name of the image
IMAGE="Mageia-${MAGEIA_VERSION}-${TARGET}.img"

#Mount point of image's partitions
BOOT="/mnt/boot"
ROOT="/mnt/root"

# Default user
# If not set, no user will be defined.
ID_USER="banana"
# PASSWORD="bananaPro"

#root password
#If not set, no root password, at the first login, the system will ask for a password.
# ROOT_PWD="ProR00t"

#Hostname
HOSTNAME="${TARGET}"

#Filesystem of boot partitions (default ext4 raspberry pi need vfat)
SEPARATE_BOOT_PARTITION=0
BOOTFS="ext4"

#kernel package to install 
KERNEL="kernel-desktop"

#The arguments for the Kernel
BOOT_ARGS='console=ttyS0,115200 disp.screen0_output_mode=EDID:1024x768p50 hdmi.audio=EDID:0'

#Path where the raspberry pi firmware is/will be installed ( just needed for raspberry pi )
# FIRMWARE_PATH="${INSTALL_PATH}/"
#FIRMWARE_DIR="firmware-stable"
#FIRMWARE_DOWNLOAD_URL="https://github.com/raspberrypi/firmware/archive/stable.zip"
